OGRE: Ogre::SceneQuery::WorldFragment Struct Reference - OGRE Documentation

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::SceneQuery::WorldFragment Struct Reference

Represents part of the world geometry that is a result of a SceneQuery. More...

`#include <OgreSceneQuery.h>`

List of all members.

## Public Attributes

WorldFragmentType | fragmentType
| The type of this world fragment.
Vector3 | singleIntersection
| Single intersection point, only applicable for WFT_SINGLE_INTERSECTION.
std::list< Plane > * | planes
| Planes bounding a convex region, only applicable for WFT_PLANE_BOUNDED_REGION.
void * | geometry
| Custom geometry block, only applicable for WFT_CUSTOM_GEOMETRY.
RenderOperation * | renderOp
| General render operation structure, fallback if nothing else is available.

## Detailed Description

Represents part of the world geometry that is a result of a SceneQuery.

Remarks:
  Since world geometry is normally vast and sprawling, we need a way of retrieving parts of it based on a query. That is what this struct is for; note there are potentially as many data structures for world geometry as there are SceneManagers, however this structure includes a few common abstractions as well as a more general format.

  The type of world fragment that is returned from a query depends on the SceneManager, and the option set using SceneQuery::setWorldFragmentType. You can see what fragment types are supported on the query in question by calling SceneQuery::getSupportedWorldFragmentTypes().

Definition at line 103 of file OgreSceneQuery.h.

## Member Data Documentation

WorldFragmentType Ogre::SceneQuery::WorldFragment::fragmentType

| The type of this world fragment. Definition at line 105 of file OgreSceneQuery.h.

void* Ogre::SceneQuery::WorldFragment::geometry

| Custom geometry block, only applicable for WFT_CUSTOM_GEOMETRY. Definition at line 111 of file OgreSceneQuery.h.

std::list<Plane>* Ogre::SceneQuery::WorldFragment::planes

| Planes bounding a convex region, only applicable for WFT_PLANE_BOUNDED_REGION. Definition at line 109 of file OgreSceneQuery.h.

RenderOperation* Ogre::SceneQuery::WorldFragment::renderOp

| General render operation structure, fallback if nothing else is available. Definition at line 113 of file OgreSceneQuery.h.

Vector3 Ogre::SceneQuery::WorldFragment::singleIntersection

| Single intersection point, only applicable for WFT_SINGLE_INTERSECTION. Definition at line 107 of file OgreSceneQuery.h.

The documentation for this struct was generated from the following file:

- OgreSceneQuery.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Thu Mar 6 09:48:44 2008